import request from '$project/utils/request'
import Qs from 'qs';

//设备列表
export function listOfDevice(params) {
	return request({
		url: '/devOps/listOfDevice',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取开门列表
export function getDoorList() {
	return request({
		url: '/mobile/guestInfoRecordApi/openByMobilePhoneList',
		data: Qs.stringify({}),
		method: 'post',
	})
}

//手机开门
export function openDoor(id) {
	return request({
		url: '/mobile/guestInfoRecordApi/openByMobilePhone',
		data: Qs.stringify({
			id: id
		}),
		method: 'post',
	})
}



//业务人员 查询摄像头
export function livePageList(params) {

    return request({
        url: '/mobile/cameraApi/pageList',
        data: Qs.stringify(params),
        method: 'post',
    })
}
//业务人员 update 摄像头
export function liveUpdate(params) {

    return request({

        url: '/mobile/cameraApi/update',
        data: Qs.stringify(params),
        method: 'post',
    })
}